CVE-2024-23323

CVSS 3.1 Score 4.3 of 10 (medium)

Details

Published Feb 9, 2024
Updated: Feb 15, 2024
CWE ID 400
CWE ID 1176

Summary

CVE-2024-23323 is a vulnerability affecting the Envoy high-performance proxy software. The issue arises from the compilation of regular expression (regex) expressions for each request, leading to high CPU usage and increased request latency when multiple routes are configured with such matchers. The vulnerability has been addressed in versions 1.29.1, 1.28.1, 1.27.3, and 1.26.7 of the software, and users are advised to upgrade to these releases. There are no known workarounds for this vulnerability, which has a risk score of 25 and a base severity level of MEDIUM according to the CVSS:3.1 scoring system. The exploitability score is rated at 2.8 out of 10, indicating a moderate level of difficulty for potential attackers to exploit the vulnerability over a network connection requiring user interaction but not requiring any privileges or compromising integrity or confidentiality of the affected system. The impact score is calculated at 1.4 out of 10, suggesting low availability impact in case of successful exploitation.

Share

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-23323 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options